View Issue Details

IDProjectCategoryView StatusLast Update
14361Bug reports[All Projects] Survey takingpublic2019-01-14 15:15
ReporterMaziAssigned ToDenisChenu 
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.16.xFixed in Version3.15.x 
Summary14361: Using valueNAOK at conditions works fine at group preview but is broken at survey runtime
Description

At the attached survey we have enabled the assessment mode and at the array questions have assigend only the "JA" answer an assessment value of 1. The other answer options have value 0 assigned.
To only show a follow up comment field based in a multi short text question, we are checking the valueNAOK value. For the question to show up we use this conditions:
sum(that.prevquestioncode.valueNAOK) gt 0

At subquestion level we use this relevance for items SQ001 to SQ009 in order to only show up if the JA answer was selected at the previous question:
prevquestioncode_SQ001.valueNAOK gt 0

All this works absolutely fine at group preview. For any item answered JA, the text field at the follow up question shows up. Howevery, this does NOT work at survey runtime. The follow up question is NEVER shown.

Steps To Reproduce
  1. Import the attached survey.
  2. Have a look at the survey structure using the logic file.
  3. Make sure the assessment mode is activated and activate the survey.
  4. Check the group preview, answer some items with JA -> the follow up question pops up
  5. Run the survey and answer some items with JA -> no follow up question pops up.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.5+181115
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.0.26

Activities

Mazi

Mazi

2018-12-18 16:29

developer  

valueNAOK_bug.lss (47,759 bytes)
DenisChenu

DenisChenu

2018-12-18 16:31

developer   ~49996

Did you check without ajax mode ?

Mazi

Mazi

2018-12-18 17:43

developer   ~49998

Yes, same issue with Ajax mode being turned off at survey settings (Vanilla theme).

Mazi

Mazi

2018-12-18 17:49

developer   ~50001

BTW, I noticed the same issue at survey runtime with LS v2.73.1.

DenisChenu

DenisChenu

2018-12-18 17:58

developer   ~50003

Arrgll you kill me ;)

DenisChenu

DenisChenu

2018-12-19 18:02

developer   ~50010

@Mazi : i can, not reproduce with current GIT version with your survey …

DenisChenu

DenisChenu

2018-12-19 18:15

developer   ~50013

https://master.sondages.pro/979236?newtest=Y&lang=de

Mazi

Mazi

2018-12-19 21:52

developer   ~50015

Then let's hipe for a new version to be releases soon.

DenisChenu

DenisChenu

2018-12-20 01:20

developer   ~50018

You can not test with git clone on the server ?

Else : wait for 3.15.6 to close it

Mazi

Mazi

2019-01-07 10:58

developer   ~50120

@ollehar: You wanted to create a Christmas release 2 weeks ago. Not sure what the current status regarding the new release is, maybe you can let us know?

Issue History

Date Modified Username Field Change
2018-12-18 16:29 Mazi New Issue
2018-12-18 16:29 Mazi Status new => assigned
2018-12-18 16:29 Mazi Assigned To => DenisChenu
2018-12-18 16:29 Mazi File Added: valueNAOK_bug.lss
2018-12-18 16:31 DenisChenu Note Added: 49996
2018-12-18 16:32 DenisChenu Priority none => normal
2018-12-18 16:32 DenisChenu Description Updated View Revisions
2018-12-18 16:32 DenisChenu Steps to Reproduce Updated View Revisions
2018-12-18 17:43 Mazi Note Added: 49998
2018-12-18 17:49 Mazi Note Added: 50001
2018-12-18 17:58 DenisChenu Note Added: 50003
2018-12-19 18:02 DenisChenu Note Added: 50010
2018-12-19 18:15 DenisChenu Note Added: 50013
2018-12-19 21:52 Mazi Note Added: 50015
2018-12-20 01:20 DenisChenu Status assigned => feedback
2018-12-20 01:20 DenisChenu Note Added: 50018
2019-01-07 10:58 Mazi Note Added: 50120
2019-01-07 10:58 Mazi Status feedback => assigned
2019-01-14 15:15 DenisChenu Status assigned => closed
2019-01-14 15:15 DenisChenu Resolution open => fixed
2019-01-14 15:15 DenisChenu Fixed in Version => 3.15.x